<?php

namespace App\Http\Requests\Api\employee;

use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;
use Illuminate\Support\Facades\Auth;

class ProfileUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {


        return [
            'name' => 'nullable|string|min:2|max:255',
            'email' => 'nullable|email|unique:users,email,'.Auth::guard('api')->user()->id,
            'phone' => 'nullable|unique:users,phone,' . Auth::guard('api')->user()->id,
            'password'=>'nullable|string|min:6|max:255',
            'confirm_password'=>'nullable|string|min:6|max:255|same:password',
        ];
    }

    protected function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(
            msgdata(false, trans('lang.there_is_some_errors'), $validator->errors()->all(), validation())
        );
    }
}
